<?php
if ( !defined( 'IN_CMS' ) ) {
    exit();
}

use models\Permission;
use models\Role;
use models\RolePermission;

if ( version_compare( CMS_VERSION, '5.0', '<' ) ) {
	return false;
}

$permission = new Permission( ['name' => 'file_manager.manage_files'] );
$permission->save();
            
$role = Role::findOne( ['name' => 'administrator'] );
$rolePermission = new RolePermission( ['role_id' => $role->role_id, 'permission_id' => $permission->permission_id] );
$rolePermission->save();

$role = Role::findOne( ['name' => 'developer'] );
$rolePermission = new RolePermission( ['role_id' => $role->role_id, 'permission_id' => $permission->permission_id] );
$rolePermission->save();

$logger = \IoC::resolve( 'logger' );
$logger->info( 'Plugin file_manager successfully installed.' );

return true;
