<?php
namespace plugins\file_manager\services;

use plugins\file_manager\library\exceptions;

class CreateDirectory {

    private $path;

    public function __construct( $path ) {
        $this->path = $path;
    }

    public function perform( $listener ) {
        if ( !is_writable( dirname( $this->path ) ) ) {
            throw new exceptions\DirectoryNotWritableException( sprintf( 'The directory %s is not writable.', dirname( $this->filename ) ) );
        }
        if ( file_exists( $this->path ) ) {
            throw new exceptions\FileExistsException( sprintf( 'The file %s already exists.', $this->filename ) );
        }
        if ( !mkdir( $this->path ) ) {
            throw new \RuntimeException( sprintf( 'Unable to create the directory %s.', $this->filename ) );
        }
        return $this->path;
    }
}
