<?php
namespace plugins\file_manager\services;

use plugins\file_manager\library\exceptions;

class DeleteFile {

    private $filename;

    public function __construct( $filename ) {
        $this->filename = $filename;
    }

    public function perform( $listener ) {
        if ( !is_file( $this->filename ) ) {
            throw new exceptions\FileNotFoundException( sprintf( 'The file %s does not exist.', $this->filename ) );
        }
        if ( !is_writable( $this->filename ) ) {
            throw new exceptions\FileNotWritableException( sprintf( 'The file %s is not writable.', $this->filename ) );
        }
        if ( !unlink( $this->filename ) ) {
            throw new \RuntimeException( sprintf( 'Could not delete file %s.', $this->filename ) );
        }
        return $this->filename;
    }
}
